GNU bug report logs - #8443
Updated patches: Re: bug#8441: Patches making libtool-2.4-1 build under GNU/Hurd

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: libtool; Reported by: Svante Signell <srs@HIDDEN>; merged with #8441, #8444; dated Fri, 8 Apr 2011 07:03:01 UTC; Maintainer for libtool is bug-libtool@HIDDEN.
Merged 8441 8443 8444. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Apr 2011 08:20:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 10 04:20:46 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Q8psz-0004sg-NV
	for submit <at> debbugs.gnu.org; Sun, 10 Apr 2011 04:20:46 -0400
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <Ralf.Wildenhues@HIDDEN>) id 1Q8psy-0004sQ-JX
	for submit <at> debbugs.gnu.org; Sun, 10 Apr 2011 04:20:44 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <Ralf.Wildenhues@HIDDEN>) id 1Q8pss-0007xT-Ir
	for submit <at> debbugs.gnu.org; Sun, 10 Apr 2011 04:20:39 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	RCVD_IN_DNSWL_NONE autolearn=unavailable version=3.3.1
Received: from lists.gnu.org ([199.232.76.165]:54714)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <Ralf.Wildenhues@HIDDEN>) id 1Q8pss-0007xL-9R
	for submit <at> debbugs.gnu.org; Sun, 10 Apr 2011 04:20:38 -0400
Received: from [140.186.70.92] (port=56654 helo=eggs.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1Q8psq-00007a-ED
	for bug-libtool@HIDDEN; Sun, 10 Apr 2011 04:20:37 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <Ralf.Wildenhues@HIDDEN>) id 1Q8psm-0007wD-RW
	for bug-libtool@HIDDEN; Sun, 10 Apr 2011 04:20:35 -0400
Received: from mailout-de.gmx.net ([213.165.64.23]:49754)
	by eggs.gnu.org with smtp (Exim 4.71)
	(envelope-from <Ralf.Wildenhues@HIDDEN>) id 1Q8psm-0007vj-Cj
	for bug-libtool@HIDDEN; Sun, 10 Apr 2011 04:20:32 -0400
Received: (qmail invoked by alias); 10 Apr 2011 08:20:30 -0000
Received: from xdsl-89-0-86-5.netcologne.de (EHLO localhost.localdomain)
	[89.0.86.5]
	by mail.gmx.net (mp003) with SMTP; 10 Apr 2011 10:20:30 +0200
X-Authenticated: #13673931
X-Provags-ID: V01U2FsdGVkX1/SqFRdBS/SAOUOO0GHTYMF2LIawvesHhH7OI0R0W
	DGAMfJAZCHwnSN
Received: from ralf by localhost.localdomain with local (Exim 4.72)
	(envelope-from <Ralf.Wildenhues@HIDDEN>)
	id 1Q8psj-0000YW-SI; Sun, 10 Apr 2011 10:20:29 +0200
Date: Sun, 10 Apr 2011 10:20:29 +0200
From: Ralf Wildenhues <Ralf.Wildenhues@HIDDEN>
To: Svante Signell <srs@HIDDEN>, libtool-patches@HIDDEN
Subject: Re: Updated patches: Re: bug#8441: Patches making libtool-2.4-1
	build under GNU/Hurd
Message-ID: <20110410082029.GF28526@HIDDEN>
Mail-Followup-To: Svante Signell <srs@HIDDEN>, libtool-patches@HIDDEN,
	bug-libtool@HIDDEN, 8441 <at> debbugs.gnu.org
References: <1302193460.32453.172.camel@HIDDEN>
	<20110407180632.GB30379@HIDDEN>
	<1302200455.32453.184.camel@HIDDEN>
	<20110407182433.GC30379@HIDDEN>
	<1302246116.26044.12.camel@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <1302246116.26044.12.camel@HIDDEN>
Organization: Institute for Numerical Simulation, University of Bonn
User-Agent: Mutt/1.5.20 (2010-08-04)
X-Y-GMX-Trusted: 0
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-Received-From: 199.232.76.165
X-Spam-Score: -4.5 (----)
X-Debbugs-Envelope-To: submit
Cc: bug-libtool@HIDDEN, 8441 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.5 (----)

* Svante Signell wrote on Fri, Apr 08, 2011 at 09:01:56AM CEST:
> # shlibpath_overrides_runpath is set to 'unknown' in libtool.m4
> # and not defined under $host_os ="gnu"
> # This patch make the tests/*demo* run.
> --- libtool-2.4/libltdt/m4/libtool.m4.orig	2011-02-03 21:33:56.000000000 +0100
> +++ libtool-2.4/libltdl/m4/libtool.m4	2011-02-03 21:43:46.000000000 +0100
> @@ -2325,6 +2325,7 @@
>    library_names_spec='${libname}${release}${shared_ext}$versuffix ${libname}${release}${shared_ext}${major} ${libname}${shared_ext}'
>    soname_spec='${libname}${release}${shared_ext}$major'
>    shlibpath_var=LD_LIBRARY_PATH
> +  shlibpath_overrides_runpath=no
>    hardcode_into_libs=yes
>    ;;

Thank you.  This should let the low-cmdline test pass as well, so it
need not be disabled any more (except for non coffee drinking purposes
at least ;-)

I'm pushing the patch below in your name and adding you to THANKS.
The '(tiny change)' annotation is just to denote that you haven't
exchanged copyright papers with the FSF yet.

Cheers,
Ralf

2011-04-10  Svante Signell  <...>  (tiny change)

	Set shlibpath_overrides_runpath for the Hurd.
	* libltdl/m4/libtool.m4 (_LT_SYS_DYNAMIC_LINKER) [gnu]
	<shlibpath_overrides_runpath>: Set to no.
	* THANKS: Update.

diff --git a/libltdl/m4/libtool.m4 b/libltdl/m4/libtool.m4
index 5cc027b..2ed41b7 100644
--- a/libltdl/m4/libtool.m4
+++ b/libltdl/m4/libtool.m4
@@ -2519,6 +2519,7 @@ gnu*)
   library_names_spec='${libname}${release}${shared_ext}$versuffix ${libname}${release}${shared_ext}${major} ${libname}${shared_ext}'
   soname_spec='${libname}${release}${shared_ext}$major'
   shlibpath_var=LD_LIBRARY_PATH
+  shlibpath_overrides_runpath=no
   hardcode_into_libs=yes
   ;;
 




Information forwarded to owner <at> debbugs.gnu.org, bug-libtool@HIDDEN:
bug#8443; Package libtool. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Apr 2011 07:02:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 08 03:02:23 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Q85i3-0007UX-BV
	for submit <at> debbugs.gnu.org; Fri, 08 Apr 2011 03:02:23 -0400
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <srs@HIDDEN>) id 1Q85i1-0007UC-P3
	for submit <at> debbugs.gnu.org; Fri, 08 Apr 2011 03:02:22 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <srs@HIDDEN>) id 1Q85hv-0001AI-CB
	for submit <at> debbugs.gnu.org; Fri, 08 Apr 2011 03:02:16 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-4.2 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_MED,
	T_RP_MATCHES_RCVD autolearn=unavailable version=3.3.1
Received: from lists.gnu.org ([199.232.76.165]:40511)
	by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <srs@HIDDEN>)
	id 1Q85hv-0001AE-4d
	for submit <at> debbugs.gnu.org; Fri, 08 Apr 2011 03:02:15 -0400
Received: from [140.186.70.92] (port=52185 helo=eggs.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1Q85ht-0000pX-Gh
	for bug-libtool@HIDDEN; Fri, 08 Apr 2011 03:02:14 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <srs@HIDDEN>) id 1Q85hs-0001A0-En
	for bug-libtool@HIDDEN; Fri, 08 Apr 2011 03:02:13 -0400
Received: from smtp-2.sys.kth.se ([130.237.32.160]:49508)
	by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <srs@HIDDEN>)
	id 1Q85hs-00019w-3P
	for bug-libtool@HIDDEN; Fri, 08 Apr 2011 03:02:12 -0400
Received: from mailscan-1.sys.kth.se (mailscan-1.sys.kth.se [130.237.32.91])
	by smtp-2.sys.kth.se (Postfix) with ESMTP id 44BD914C133;
	Fri,  8 Apr 2011 09:02:10 +0200 (CEST)
X-Virus-Scanned: by amavisd-new at kth.se
Received: from smtp-2.sys.kth.se ([130.237.32.160])
	by mailscan-1.sys.kth.se (mailscan-1.sys.kth.se [130.237.32.91])
	(amavisd-new, port 10024)
	with LMTP id qvcGTdkalr89; Fri,  8 Apr 2011 09:02:08 +0200 (CEST)
X-KTH-Auth: srs@HIDDEN [78.69.11.59]
X-KTH-mail-from: srs@HIDDEN
Received: from [192.168.0.6] (78-69-11-59-no42.tbcn.telia.com [78.69.11.59])
	by smtp-2.sys.kth.se (Postfix) with ESMTP id B5E8D14C129;
	Fri,  8 Apr 2011 09:02:07 +0200 (CEST)
Subject: Updated patches: Re: bug#8441: Patches making libtool-2.4-1 build
	under GNU/Hurd
From: Svante Signell <srs@HIDDEN>
To: Ralf Wildenhues <Ralf.Wildenhues@HIDDEN>, bug-libtool@HIDDEN
In-Reply-To: <20110407182433.GC30379@HIDDEN>
References: <1302193460.32453.172.camel@HIDDEN>
	<20110407180632.GB30379@HIDDEN>
	<1302200455.32453.184.camel@HIDDEN>
	<20110407182433.GC30379@HIDDEN>
Content-Type: multipart/mixed; boundary="=-N4leFIjqgXRmVkzpmGZ1"
Date: Fri, 08 Apr 2011 09:01:56 +0200
Message-ID: <1302246116.26044.12.camel@HIDDEN>
Mime-Version: 1.0
X-Mailer: Evolution 2.32.2 
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6, seldom 2.4 (older,
	4)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-Received-From: 199.232.76.165
X-Spam-Score: -6.6 (------)
X-Debbugs-Envelope-To: submit
Cc: 8441 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.6 (------)


--=-N4leFIjqgXRmVkzpmGZ1
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: 7bit

On Thu, 2011-04-07 at 20:24 +0200, Ralf Wildenhues wrote:
> * Svante Signell wrote on Thu, Apr 07, 2011 at 08:20:55PM CEST:
> > On Thu, 2011-04-07 at 20:06 +0200, Ralf Wildenhues wrote:
> > > > --- libtool-2.4/tests/cmdline_wrap.at.orig	2010-05-20 23:18:41.000000000 +0200
> > > > +++ libtool-2.4/tests/cmdline_wrap.at	2011-02-06 11:08:29.000000000 +0100
> > > > @@ -30,6 +30,9 @@
> 
> > > > +# Setting low max_cmd_len on "hurd-386" does not make sense"
> > > > +AT_CHECK([if test "$host_os" == "gnu" ; then exit 77; fi])
> > > 
> > > Please use = not ==, the former is Posix test, the latter bash-specific.
> > 
> > OK, do you want me to send an update?
>
> I can't speak for Kurt, I only help maintain upstream.  ;-)

Updated!

> > > Does this test actually fail on hurd-i386, or is this just because you
> > > consider it wasted time?  In the former case, please send the patch
> > > upstream but also show a cut-n-paste of the failing test log.
> > 
> > Yes, this test fails without the patch. I'll build an unpatched version
> > and submit the failing test log. BTW: Where is upstream, is
> > bug-libtool@HIDDEN sufficient?
> 
> Sure, but you can just as well send a patch right to libtool-patches
> (first-post moderation, but subscribing is not required).

I tried libtool-patches, but I had to register to be able to submit
there. Comments are embedded in the patches.

The test fails without the patch, see below (partial info I found in the
tests/testsuite.log file on test 112):

(where to find the complete log if this test, in
tests/testsuite.dir/112/testsuite.lo or
tests/testsuite.dir/112/tests/testsuite.dir/testsuilt.log? Both files
are very large)

 112: cmdline_wrap.at:28 Run tests with low max_cmd_len
      recursive
112. cmdline_wrap.at:28: testing ...
./cmdline_wrap.at:43: $CONFIG_SHELL $abs_srcdir/testsuite -k libtool
$INNER_TESTSUITEFLAGS
stderr:
ERROR: 43 tests were run,
4 failed (3 expected failures).
10 tests were skipped.




--=-N4leFIjqgXRmVkzpmGZ1
Content-Disposition: attachment; filename="define_shlibpath_overrides_runpath4hurd.patch"
Content-Type: text/x-patch; name="define_shlibpath_overrides_runpath4hurd.patch"; charset="UTF-8"
Content-Transfer-Encoding: 7bit

# shlibpath_overrides_runpath is set to 'unknown' in libtool.m4
# and not defined under $host_os ="gnu"
# This patch make the tests/*demo* run.
--- libtool-2.4/libltdt/m4/libtool.m4.orig	2011-02-03 21:33:56.000000000 +0100
+++ libtool-2.4/libltdl/m4/libtool.m4	2011-02-03 21:43:46.000000000 +0100
@@ -2325,6 +2325,7 @@
   library_names_spec='${libname}${release}${shared_ext}$versuffix ${libname}${release}${shared_ext}${major} ${libname}${shared_ext}'
   soname_spec='${libname}${release}${shared_ext}$major'
   shlibpath_var=LD_LIBRARY_PATH
+  shlibpath_overrides_runpath=no
   hardcode_into_libs=yes
   ;;
 

--=-N4leFIjqgXRmVkzpmGZ1
Content-Disposition: attachment; filename="disable_cmdline_wrap4hurd.patch"
Content-Type: text/x-patch; name="disable_cmdline_wrap4hurd.patch"; charset="UTF-8"
Content-Transfer-Encoding: 7bit

# This test is broken for hurd-i386
# Skip for $host_os = "gnu", since max_cmd_len=-1 to indicate that
# max_cmd_len is not limited under GNU Hurd.
#
--- libtool-2.4/tests/cmdline_wrap.at.orig	2010-05-20 23:18:41.000000000 +0200
+++ libtool-2.4/tests/cmdline_wrap.at	2011-02-06 11:08:29.000000000 +0100
@@ -30,6 +30,9 @@
 m4_ifdef([AT_CAPTURE_FILE],
 [AT_CAPTURE_FILE([testsuite.log])])
 
+# Setting low max_cmd_len on "hurd-386" does not make sense"
+AT_CHECK([if test "$host_os" = "gnu" ; then exit 77; fi])
+
 sed 's,max_cmd_len=.*,max_cmd_len="24",' < $LIBTOOL > libtool
 chmod +x libtool
 LIBTOOL=`pwd`/libtool

--=-N4leFIjqgXRmVkzpmGZ1
Content-Disposition: attachment; filename="link_all_deplibs.patch"
Content-Type: text/x-patch; name="link_all_deplibs.patch"; charset="UTF-8"
Content-Transfer-Encoding: 7bit

## Do not link against deplibs.  This is not needed for shared libs
## on atleast ELF systems since those already know which libs they
## need themself.  This seems to break a few things and will be fixed
## in a better way in a future upstream version.

Index: libtool-2.4/libltdl/config/ltmain.m4sh
===================================================================
--- libtool-2.4.orig/libltdl/config/ltmain.m4sh	2011-03-27 21:50:31.000000000 +0000
+++ libtool-2.4/libltdl/config/ltmain.m4sh	2011-03-27 21:52:59.000000000 +0000
@@ -5322,7 +5322,10 @@
 	case $pass in
 	dlopen) libs="$dlfiles" ;;
 	dlpreopen) libs="$dlprefiles" ;;
-	link) libs="$deplibs %DEPLIBS% $dependency_libs" ;;
+	link)
+	  libs="$deplibs %DEPLIBS%"
+	  test "X$link_all_deplibs" != Xno && libs="$libs $dependency_libs"
+	  ;;
 	esac
       fi
       if test "$linkmode,$pass" = "lib,dlpreopen"; then
Index: libtool-2.4/libltdl/m4/libtool.m4
===================================================================
--- libtool-2.4.orig/libltdl/m4/libtool.m4	2010-09-22 08:41:19.000000000 +0000
+++ libtool-2.4/libltdl/m4/libtool.m4	2011-03-27 22:00:19.000000000 +0000
@@ -4499,6 +4499,9 @@
       ;;
     esac
     ;;
+  linux* | k*bsd*-gnu | gnu*)
+    _LT_TAGVAR(link_all_deplibs, $1)=no
+    ;;
   *)
     _LT_TAGVAR(export_symbols_cmds, $1)='$NM $libobjs $convenience | $global_symbol_pipe | $SED '\''s/.* //'\'' | sort | uniq > $export_symbols'
     ;;
@@ -4562,6 +4565,9 @@
   openbsd*)
     with_gnu_ld=no
     ;;
+  linux* | k*bsd*-gnu | gnu*)
+    _LT_TAGVAR(link_all_deplibs, $1)=no
+    ;;
   esac
 
   _LT_TAGVAR(ld_shlibs, $1)=yes
@@ -4961,6 +4967,7 @@
 	if test "$aix_use_runtimelinking" = yes; then
 	  shared_flag="$shared_flag "'${wl}-G'
 	fi
+	_LT_TAGVAR(link_all_deplibs, $1)=no
       else
 	# not using gcc
 	if test "$host_cpu" = ia64; then

--=-N4leFIjqgXRmVkzpmGZ1--





Acknowledgement sent to Svante Signell <srs@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-libtool@HIDDEN. Full text available.
Report forwarded to owner <at> debbugs.gnu.org, bug-libtool@HIDDEN:
bug#8443; Package libtool. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.